Main Page Modules Class Hierarchy Alphabetical List Compound List File List Compound Members File Members Related Pages

# ACEXML_Debug_Element_Builder Class Reference

`#include <Debug_Element_Builder.h>`

Inheritance diagram for ACEXML_Debug_Element_Builder:

[legend]
Collaboration diagram for ACEXML_Debug_Element_Builder:

[legend]
List of all members.

## Public Methods
| ACEXML_Debug_Element_Builder ()
virtual | ~ACEXML_Debug_Element_Builder ()
virtual int | setElementName (const ACEXML_Char *namespaceURI, const ACEXML_Char *localName, const ACEXML_Char *qName, ACEXML_Env &xmlenv)
virtual int | setContentType (CONTENT_TYPE type, ACEXML_Env &xmlenv)
virtual int | insertMixedElement (const ACEXML_Char *namespaceURI, const ACEXML_Char *localName, const ACEXML_Char *qName, ACEXML_Env &xmlenv)
virtual int | startChildGroup ()
virtual int | endChildGroup (CARDINALITY card, ACEXML_Env &xmlenv)
virtual int | setChoice ()
virtual int | setSequence ()
virtual int | insertElement (const ACEXML_Char *namespaceURI, const ACEXML_Char *localName, const ACEXML_Char *qName, ACEXML_Env &xmlenv)
virtual void | dump (void)
## Private Attributes
CONTENT_TYPE | type_
ACEXML_String | element_
ACEXML_Element_Tree_List_Node * | root_
ACEXML_Element_Tree_List_Stack | active_list_

## Detailed Description

@ class ACEXML_Debug_Element_Builder Debug_Element_Builder.h "parser/debug_validator/Debug_Element_Builder.h"

This class prints out the element definition for debugging purpose.

Todo:
  This class is not namespace-aware.

## Constructor & Destructor Documentation

ACEXML_Debug_Element_Builder::ACEXML_Debug_Element_Builder | ( |  | ) |

ACEXML_Debug_Element_Builder::~ACEXML_Debug_Element_Builder | ( |  | ) | `[virtual]`

## Member Function Documentation

void ACEXML_Debug_Element_Builder::dump | ( | void |  | ) | `[virtual]`

| Dump the content of the attribute definition. Reimplemented from ACEXML_Element_Def_Builder.

int ACEXML_Debug_Element_Builder::endChildGroup | ( | CARDINALITY | card,
|  | ACEXML_Env & | xmlenv
| ) | `[virtual]`

  | End a new group of children. Return values:
  0 | on success.
Reimplemented from ACEXML_Element_Def_Builder.

int ACEXML_Debug_Element_Builder::insertElement | ( | const ACEXML_Char * | namespaceURI,
|  | const ACEXML_Char * | localName,
|  | const ACEXML_Char * | qName,
|  | ACEXML_Env & | xmlenv
| ) | `[virtual]`

  | Insert an new element into the current child group. Return values:
  0 | on success, -1 otherwise.
Reimplemented from ACEXML_Element_Def_Builder.

int ACEXML_Debug_Element_Builder::insertMixedElement | ( | const ACEXML_Char * | namespaceURI,
|  | const ACEXML_Char * | localName,
|  | const ACEXML_Char * | qName,
|  | ACEXML_Env & | xmlenv
| ) | `[virtual]`

| Insert one more element into Mixed definition. Reimplemented from ACEXML_Element_Def_Builder.

int ACEXML_Debug_Element_Builder::setChoice | ( |  | ) | `[virtual]`

  | Set the type of current child group to Choice. Return values:
  0 | on success, -1 if the type of the child group has already been set and this action conflicts with the previous setting.
Reimplemented from ACEXML_Element_Def_Builder.

int ACEXML_Debug_Element_Builder::setContentType | ( | CONTENT_TYPE | type,
|  | ACEXML_Env & | xmlenv
| ) | `[virtual]`

  | Define the content type of the element. Return values:
  0 | if valid, -1 otherwise.
Reimplemented from ACEXML_Element_Def_Builder.

int ACEXML_Debug_Element_Builder::setElementName | ( | const ACEXML_Char * | namespaceURI,
|  | const ACEXML_Char * | localName,
|  | const ACEXML_Char * | qName,
|  | ACEXML_Env & | xmlenv
| ) | `[virtual]`

  | Define the name of the element. Return values:
  0 | if valid, -1 otherwise.
Reimplemented from ACEXML_Element_Def_Builder.

int ACEXML_Debug_Element_Builder::setSequence | ( |  | ) | `[virtual]`

  | Set the type of current child group to Sequence. Return values:
  0 | on success, -1 if the type of the child group has already been set and this action conflicts with the previous setting.
Reimplemented from ACEXML_Element_Def_Builder.

int ACEXML_Debug_Element_Builder::startChildGroup | ( |  | ) | `[virtual]`

| Start a new group of children. Reimplemented from ACEXML_Element_Def_Builder.

## Member Data Documentation

ACEXML_Element_Tree_List_Stack ACEXML_Debug_Element_Builder::active_list_`[private]`

ACEXML_String ACEXML_Debug_Element_Builder::element_`[private]`

ACEXML_Element_Tree_List_Node* ACEXML_Debug_Element_Builder::root_`[private]`

CONTENT_TYPE ACEXML_Debug_Element_Builder::type_`[private]`

The documentation for this class was generated from the following files:

- Debug_Element_Builder.h
- Debug_Element_Builder.cpp